Subject: bug#18009: 24.4.50; Add hooks for `rename-file' and `delete-file'

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 20 Feb 2022 14:07:52 +0100

Stefan Monnier <[email-masked]> writes:

>> Please add a hook for each of these basic operations.  It is not unusual
>> to want to be able to carry out some action associated with
>> (successfully) renaming or deleting a file.  The hooks would be run at
>> the end of the operation, and only upon success.
>
> It's not unreasonable, but these are rather low-level operations, I'm
> not sure I want to run hooks from them.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I think the conclusion here is that we don't want to add any hooks to
these functions, and the user can use file name handlers and/or advice
to alter the behaviour if they want to.

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no